<?php
namespace Libadmin\Model;

use Libadmin\Model\BaseModel;

/**
 * Relation between institution, group and view
 * Persisted in mm_institution_group_view
 *
 */
class InstitutionRelation extends BaseModel
{

	/**
	 * @var    Integer
	 */
	public $id_view;

	/**
	 * @var    Integer
	 */
	public $id_group;

	/**
	 * @var    Integer
	 */
	public $id_institution;

	/**
	 * @var    Integer|Boolean
	 */
	public $is_favorite;



	/**
	 * @param InstitutionRelation $relation
	 *
	 * @return bool
	 */
	public function equals(InstitutionRelation $relation) {
		return 	$relation->getIdView() 			=== $this->getIdView() &&
				$relation->getIdGroup() 		=== $this->getIdGroup() &&
				$relation->getIdInstitution() 	=== $this->getIdInstitution() &&
				$relation->getIsFavorite() 		=== $this->getIsFavorite();
	}



	/**
	 * @return String
	 */
	public function getPrimaryKey() {
		return $this->getIdView() . '-' . $this->getIdGroup() . '-' . $this->getIdInstitution();
	}



	public function getListLabel()
	{
		return 'Link info here';
	}



	public function getTypeLabel()
	{
		return 'relation';
	}



	public function setIdGroup($id_group)
	{
		$this->id_group = $id_group;
	}



	public function getIdGroup()
	{
		return (int)$this->id_group;
	}



	public function setIdInstitution($id_institution)
	{
		$this->id_institution = $id_institution;
	}



	public function getIdInstitution()
	{
		return (int)$this->id_institution;
	}



	public function setIdView($id_view)
	{
		$this->id_view = $id_view;
	}



	public function getIdView()
	{
		return (int)$this->id_view;
	}



	public function hasView()
	{
		return $this->getIdView() !== 0;
	}



	public function setIsFavorite($is_favorite)
	{
		$this->is_favorite = $is_favorite;
	}



	public function getIsFavorite()
	{
		return !!$this->is_favorite;
	}
}
